From a8dc88cf6247a07b02dbef61e9ae7ef30af50131 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Fri, 3 Nov 2023 11:59:25 -0700
Subject: [PATCH v2 3/7] meson: docs: Add doc-{html,man} targets

Reviewed-by: Christoph Berg <myon@debian.org>
Discussion: https://postgr.es/m/20231103163848.26egkh5qdgw3vmil@awork3.anarazel.de
---
 doc/src/sgml/meson.build | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/doc/src/sgml/meson.build b/doc/src/sgml/meson.build
index 90e2c062fa8..fac7e701610 100644
--- a/doc/src/sgml/meson.build
+++ b/doc/src/sgml/meson.build
@@ -142,6 +142,7 @@ if docs_dep.found()
       '--install-dir-contents', dir_doc_html, html],
     build_always_stale: true, build_by_default: false,
   )
+  alias_target('doc-html', html)
   alias_target('install-doc-html', install_doc_html)
 
   # build and install multi-page html docs as part of docs target
@@ -231,6 +232,8 @@ if docs_dep.found()
       '--install-dirs', dir_man, '@INPUT@'],
     build_always_stale: true, build_by_default: false,
   )
+
+  alias_target('doc-man', man)
   alias_target('install-doc-man', install_doc_man)
 
   # even though we don't want to build man pages as part of 'docs', we do want
-- 
2.38.0

